Restore default branding settings
put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
Not used.
Responses
200
Instance settings, with the branding fields restored to defaults.
application/json
smtp_authenticationstring · enumRequiredPossible values:
smtp_encryptionstring · enumRequiredPossible values:
smtp_oauth_client_idstring · nullableOptional
smtp_oauth_client_secretstring · nullableOptional
smtp_oauth_issuer_urlstring · nullableOptional
smtp_oauth_refresh_tokenstring · nullableOptional
smtp_oauth_tenant_idstring · nullableOptional
smtp_passwordstring · nullableOptional
smtp_portinteger · nullableOptional
smtp_senderstring · nullableOptional
smtp_serverstring · nullableOptional
smtp_userstring · nullableOptional
authentication_period_daysinteger · int32Required
challenge_templatestringRequired
default_admin_group_namestringRequired
default_admin_idinteger · int64 · nullableOptional
defguard_urlstringRequired
enable_stats_purgebooleanRequired
enrollment_send_welcome_emailbooleanRequired
enrollment_session_timeout_minutesinteger · int32Required
enrollment_token_timeout_hoursinteger · int32Required
enrollment_use_welcome_message_as_emailbooleanRequired
enrollment_vpn_step_optionalbooleanRequired
enrollment_welcome_emailstring · nullableOptional
enrollment_welcome_email_subjectstring · nullableOptional
enrollment_welcome_messagestring · nullableOptional
gateway_disconnect_notifications_enabledbooleanRequired
gateway_disconnect_notifications_inactivity_thresholdinteger · int32Required
gateway_disconnect_notifications_reconnect_notification_enabledbooleanRequired
instance_namestringRequired
ldap_bind_passwordstring · nullableOptional
ldap_bind_usernamestring · nullableOptional
ldap_enabledbooleanRequired
ldap_group_member_attrstring · nullableOptional
ldap_group_obj_classstring · nullableOptional
ldap_group_search_basestring · nullableOptional
ldap_groupname_attrstring · nullableOptional
ldap_is_authoritativebooleanRequired
ldap_member_attrstring · nullableOptional
ldap_remote_enrollment_enabledbooleanRequired
ldap_remote_enrollment_send_invitebooleanRequired
ldap_sync_account_statusbooleanRequired
ldap_sync_enabledbooleanRequired
ldap_sync_groupsstring[]Required
ldap_sync_intervalinteger · int32Required
ldap_sync_statusstring · enumRequiredPossible values:
ldap_tls_verify_certbooleanRequired
ldap_urlstring · nullableOptional
ldap_use_starttlsbooleanRequired
ldap_user_auxiliary_obj_classesstring[]Required
ldap_user_obj_classstring · nullableOptional
ldap_user_rdn_attrstring · nullableOptional
ldap_user_search_basestring · nullableOptional
ldap_username_attrstring · nullableOptional
ldap_uses_adbooleanRequired
licensestring · nullableOptional
main_logo_urlstringRequired
mfa_code_timeout_secondsinteger · int32Required
nav_logo_urlstringRequired
openid_create_accountbooleanRequired
openid_enabledbooleanRequired
openid_username_handlingstring · enumRequiredPossible values:
password_reset_session_timeout_minutesinteger · int32Required
password_reset_token_timeout_hoursinteger · int32Required
public_proxy_urlstringRequired
secret_keystring · nullableOptional
stats_purge_frequency_hoursinteger · int32Required
stats_purge_threshold_daysinteger · int32Required
webhooks_enabledbooleanRequired
wireguard_enabledbooleanRequired
worker_enabledbooleanRequired
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to restore default branding settings.
application/json
put/api/v1/settings/{id}
PUT /api/v1/settings/{id} HTTP/1.1
Accept: */*
{
"smtp_authentication": "None",
"smtp_encryption": "None",
"smtp_oauth_client_id": null,
"smtp_oauth_client_secret": null,
"smtp_oauth_issuer_url": null,
"smtp_oauth_refresh_token": null,
"smtp_oauth_tenant_id": null,
"smtp_password": null,
"smtp_port": null,
"smtp_sender": null,
"smtp_server": null,
"smtp_user": null,
"authentication_period_days": 1,
"challenge_template": "text",
"default_admin_group_name": "text",
"default_admin_id": null,
"defguard_url": "text",
"enable_stats_purge": true,
"enrollment_send_welcome_email": true,
"enrollment_session_timeout_minutes": 1,
"enrollment_token_timeout_hours": 1,
"enrollment_use_welcome_message_as_email": true,
"enrollment_vpn_step_optional": true,
"enrollment_welcome_email": null,
"enrollment_welcome_email_subject": null,
"enrollment_welcome_message": null,
"gateway_disconnect_notifications_enabled": true,
"gateway_disconnect_notifications_inactivity_threshold": 1,
"gateway_disconnect_notifications_reconnect_notification_enabled": true,
"instance_name": "text",
"ldap_bind_password": null,
"ldap_bind_username": null,
"ldap_enabled": true,
"ldap_group_member_attr": null,
"ldap_group_obj_class": null,
"ldap_group_search_base": null,
"ldap_groupname_attr": null,
"ldap_is_authoritative": true,
"ldap_member_attr": null,
"ldap_remote_enrollment_enabled": true,
"ldap_remote_enrollment_send_invite": true,
"ldap_sync_account_status": true,
"ldap_sync_enabled": true,
"ldap_sync_groups": [
"text"
],
"ldap_sync_interval": 1,
"ldap_sync_status": "InSync",
"ldap_tls_verify_cert": true,
"ldap_url": null,
"ldap_use_starttls": true,
"ldap_user_auxiliary_obj_classes": [
"text"
],
"ldap_user_obj_class": null,
"ldap_user_rdn_attr": null,
"ldap_user_search_base": null,
"ldap_username_attr": null,
"ldap_uses_ad": true,
"license": null,
"main_logo_url": "text",
"mfa_code_timeout_seconds": 1,
"nav_logo_url": "text",
"openid_create_account": true,
"openid_enabled": true,
"openid_username_handling": "RemoveForbidden",
"password_reset_session_timeout_minutes": 1,
"password_reset_token_timeout_hours": 1,
"public_proxy_url": "text",
"secret_key": null,
"stats_purge_frequency_hours": 1,
"stats_purge_threshold_days": 1,
"webhooks_enabled": true,
"wireguard_enabled": true,
"worker_enabled": true
}Last updated
Was this helpful?